# Methods

## `open(directAccess?: DirectAccess)`&#x20;

Opens the wallet interface, in a specific flow/page, if specified.

## `close()`&#x20;

Closes the wallet interface.

## `signOut()`&#x20;

Signs out the user.

## `setTheme(theme: ThemeSetting)`&#x20;

Update the app, iframe and button themes.

Note that if `options.iframe.theme` or `options.button.theme` are used, the iframe theme and/or the button theme, respectively, won't be updated. In that case, you should call `setIframeTheme()` and/or `setButtonTheme()`.

## `setIframeTheme(theme: ThemeSetting)`&#x20;

Update the iframe theme (outside only, doesn't affect the iframe content's / app theme).

## `setButtonTheme(theme: ThemeSetting)`&#x20;

Update the button theme.

## `destroy()`&#x20;

Removes all elements and event listeners.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wander.app/wander-connect/methods.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
